<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewmodel"
            type="it.integry.integrywmsnative.view.dialogs.base.DialogSimpleInputViewModel" />
    </data>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:orientation="vertical"
        app:cardBackgroundColor="@android:color/transparent"
        app:cardCornerRadius="24dp"
        app:cardElevation="0dp">

        <androidx.cardview.widget.CardView
            android:id="@+id/base"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:orientation="vertical"
            app:cardBackgroundColor="@color/light_blue_300"
            app:cardCornerRadius="24dp"
            app:cardElevation="0dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="4dp"
                android:background="@drawable/dialog_card_child_bg"
                android:padding="24dp">


                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/title_text"
                    style="@style/TextViewMaterial.Dialog.HeadlineText"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="Insert here" />


                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/level_number_layout"
                    style="@style/TextInputLayout.OutlinePrimary"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="16dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/title_text">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/general_input"
                        style="@style/TextInputEditText.OutlinePrimary"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        tools:hint="input here" />

                </com.google.android.material.textfield.TextInputLayout>


                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/guide_half_vertical"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:orientation="vertical"
                    app:layout_constraintGuide_percent="0.5" />


                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/guide_buttons_top"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:orientation="horizontal"
                    android:layout_marginTop="8dp"
                    app:layout_constraintTop_toBottomOf="@id/level_number_layout" />


                <com.google.android.material.button.MaterialButton
                    android:id="@+id/button_abort"
                    style="@style/Button.PrimaryOutline"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="4dp"
                    android:onClick="@{() -> viewmodel.onNegativeClick()}"
                    android:text="@string/abort"
                    app:layout_constraintEnd_toStartOf="@id/guide_half_vertical"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/guide_buttons_top"
                    app:strokeColor="@color/colorPrimary" />


                <com.google.android.material.button.MaterialButton
                    android:id="@+id/button_confirm"
                    style="@style/Button.PrimaryFull"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:onClick="@{() -> viewmodel.onPositiveClick()}"
                    android:text="@string/confirm"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/guide_half_vertical"
                    app:layout_constraintTop_toBottomOf="@id/guide_buttons_top" />

            </androidx.constraintlayout.widget.ConstraintLayout>


        </androidx.cardview.widget.CardView>
    </androidx.cardview.widget.CardView>

</layout>